#include <namewidget.h>
#include <kapp.h>

#define ktr klocale->translate

void namewidget::initLayout(void) 
{
	QLineEdit_group = new QLineEdit( this, "QLineEdit_group" );
	QLineEdit_album = new QLineEdit( this, "QLineEdit_album" );
	QLineEdit_year = new QLineEdit( this, "QLineEdit_year" );
	QComboBoxType = new QComboBox( FALSE, this, "QComboBoxType" );
	QLineEdit_comment = new QLineEdit( this, "QLineEdit_comment" );
	QLineEdit_title = new QLineEdit( this, "QLineEdit_title" );

	QCheckButton_create_groupdir = new QCheckBox( this, "CheckButton_create_groupdir" );
	QCheckButton_create_albumdir = new QCheckBox( this, "CheckButton_create_albumdir" );

	QComboBox_file_1 = new QComboBox( FALSE, this, "QComboBox_file_1" );
	QLineEdit_file_1 = new QLineEdit( this, "QLineEdit_file_1" );
	QComboBox_file_2 = new QComboBox( FALSE, this, "QComboBox_file_2" );
	QLineEdit_file_2 = new QLineEdit( this, "QLineEdit_file_2" );
	QComboBox_file_3 = new QComboBox( FALSE, this, "QComboBox_file_3" );
	QLineEdit_file_3 = new QLineEdit( this, "QLineEdit_file_3" );
	QComboBox_file_4 = new QComboBox( FALSE, this, "QComboBox_file_4" );
	QLineEdit_file_4 = new QLineEdit( this, "QLineEdit_file_4" );

	QGroupInfo = new QLabel( this, "GroupInfo" );
	QYearInfo = new QLabel( this, "YearInfo" );
	QTypeInfo = new QLabel( this, "TypeInfo" );
	QCommentInfo = new QLabel( this, "CommentInfo" );
	QLabel_AlbumInfo = new QLabel( this, "QLabel_AlbumInfo" );
	QLabel_FileInfo = new QLabel( this, "QLabel_FileInfo" );
	QLabel_filename = new QLabel( this, "QLabel_filename" );

	QPushButton_Help = new QPushButton( this, "PushButton_Help" );
	QPushButton_p_file = new QPushButton( this, "PushButton_p_file" );		
	QPushButton_n_file = new QPushButton( this, "PushButton_n_file" );
	QPushButton_Finish = new QPushButton( this, "PushButton_Finish" );

				
	QLineEdit_group->setGeometry( 10, 40, 220, 30 );
	QLineEdit_group->setMinimumSize( 10, 10 );
	QLineEdit_group->setMaximumSize( 32767, 32767 );
	QLineEdit_group->setText( "" );
	QLineEdit_group->setMaxLength( 32767 );
	QLineEdit_group->setEchoMode( QLineEdit::Normal );
	QLineEdit_group->setFrame( TRUE );

	QLineEdit_year->setGeometry( 420, 40, 50, 30 );
	QLineEdit_year->setMinimumSize( 10, 10 );
	QLineEdit_year->setMaximumSize( 32767, 32767 );
	QLineEdit_year->setText( "" );
	QLineEdit_year->setMaxLength( 32767 );
	QLineEdit_year->setEchoMode( QLineEdit::Normal );
	QLineEdit_year->setFrame( TRUE );

	QLineEdit_comment->setGeometry( 590, 40, 100, 30 );
	QLineEdit_comment->setMinimumSize( 10, 10 );
	QLineEdit_comment->setMaximumSize( 32767, 32767 );
	QLineEdit_comment->setText( "" );
	QLineEdit_comment->setMaxLength( 32767 );
	QLineEdit_comment->setEchoMode( QLineEdit::Normal );
	QLineEdit_comment->setFrame( TRUE );

	QLineEdit_title->setGeometry( 10, 80, 680, 30 );
	QLineEdit_title->setMinimumSize( 10, 10 );
	QLineEdit_title->setMaximumSize( 32767, 32767 );
	QLineEdit_title->setText( "" );
	QLineEdit_title->setMaxLength( 32767 );
	QLineEdit_title->setEchoMode( QLineEdit::Normal );
	QLineEdit_title->setFrame( TRUE );

	QGroupInfo->setGeometry( 10, 10, 220, 30 );
	QGroupInfo->setMinimumSize( 10, 10 );
	QGroupInfo->setMaximumSize( 32767, 32767 );
	QGroupInfo->setText( ktr ( "Group:" ) );
	QGroupInfo->setAlignment( 292 );
	QGroupInfo->setMargin( -1 );

	QYearInfo->setGeometry( 420, 10, 50, 30 );
	QYearInfo->setMinimumSize( 10, 10 );
	QYearInfo->setMaximumSize( 32767, 32767 );
	QYearInfo->setText( ktr ( "Year:" ) );
	QYearInfo->setAlignment( 292 );
	QYearInfo->setMargin( -1 );

	QTypeInfo->setGeometry( 480, 10, 100, 30 );
	QTypeInfo->setMinimumSize( 10, 10 );
	QTypeInfo->setMaximumSize( 32767, 32767 );
	QTypeInfo->setText( ktr ( "Type:" ) );
	QTypeInfo->setAlignment( 292 );
	QTypeInfo->setMargin( -1 );

	QCommentInfo->setGeometry( 590, 10, 100, 30 );
	QCommentInfo->setMinimumSize( 10, 10 );
	QCommentInfo->setMaximumSize( 32767, 32767 );
	QCommentInfo->setText( ktr ( "Comment:" ) );
	QCommentInfo->setAlignment( 292 );
	QCommentInfo->setMargin( -1 );

	QLabel_filename->setGeometry( 10, 150, 430, 30 );
	QLabel_filename->setMinimumSize( 10, 10 );
	QLabel_filename->setMaximumSize( 32767, 32767 );
	QLabel_filename->setText( "build your filename:" );
	QLabel_filename->setAlignment( 289 );
	QLabel_filename->setMargin( -1 );

	QCheckButton_create_groupdir->setGeometry( 450, 120, 240, 30 );
	QCheckButton_create_groupdir->setMinimumSize( 10, 10 );
	QCheckButton_create_groupdir->setMaximumSize( 32767, 32767 );
	QCheckButton_create_groupdir->setText( ktr ( "Write in a Directory named as the group" ) );
	QCheckButton_create_groupdir->setAutoRepeat( FALSE );
	QCheckButton_create_groupdir->setAutoResize( FALSE );

	QCheckButton_create_albumdir->setGeometry( 450, 150, 240, 30 );
	QCheckButton_create_albumdir->setMinimumSize( 10, 10 );
	QCheckButton_create_albumdir->setMaximumSize( 32767, 32767 );
	QCheckButton_create_albumdir->setText( ktr( "Write in a Directory named as the album") );
	QCheckButton_create_albumdir->setAutoRepeat( FALSE );
	QCheckButton_create_albumdir->setAutoResize( FALSE );

	QLineEdit_album->setGeometry( 240, 40, 170, 30 );
	QLineEdit_album->setMinimumSize( 10, 10 );
	QLineEdit_album->setMaximumSize( 32767, 32767 );
	QLineEdit_album->setText( "" );
	QLineEdit_album->setMaxLength( 32767 );
	QLineEdit_album->setEchoMode( QLineEdit::Normal );
	QLineEdit_album->setFrame( TRUE );

	QLabel_AlbumInfo->setGeometry( 240, 10, 170, 30 );
	QLabel_AlbumInfo->setMinimumSize( 10, 10 );
	QLabel_AlbumInfo->setMaximumSize( 32767, 32767 );
	QLabel_AlbumInfo->setText( ktr ( "Album:" ) );
	QLabel_AlbumInfo->setAlignment( 292 );
	QLabel_AlbumInfo->setMargin( -1 );

	QLabel_FileInfo->setGeometry( 10, 120, 430, 30 );
	QLabel_FileInfo->setMinimumSize( 10, 10 );
	QLabel_FileInfo->setMaximumSize( 32767, 32767 );
	QLabel_FileInfo->setText( "FileInfo:" );
	QLabel_FileInfo->setAlignment( 289 );
	QLabel_FileInfo->setMargin( -1 );

	QPushButton_p_file->setGeometry( 160, 240, 170, 30 );
	QPushButton_p_file->setMinimumSize( 10, 10 );
	QPushButton_p_file->setMaximumSize( 32767, 32767 );
	QPushButton_p_file->setText( ktr ( "Previous File" ) );
	QPushButton_p_file->setAutoRepeat( FALSE );
	QPushButton_p_file->setAutoResize( FALSE );

	QPushButton_n_file->setGeometry( 340, 240, 170, 30 );
	QPushButton_n_file->setMinimumSize( 10, 10 );
	QPushButton_n_file->setMaximumSize( 32767, 32767 );
	QPushButton_n_file->setText( ktr ("Next File" ) );
	QPushButton_n_file->setAutoRepeat( FALSE );
	QPushButton_n_file->setAutoResize( FALSE );
	QPushButton_n_file->setDefault( TRUE );

	QPushButton_Finish->setGeometry( 560, 240, 130, 30 );
	QPushButton_Finish->setMinimumSize( 10, 10 );
	QPushButton_Finish->setMaximumSize( 32767, 32767 );
	QPushButton_Finish->setText( ktr ( "Finish" ) );
	QPushButton_Finish->setAutoRepeat( FALSE );
	QPushButton_Finish->setAutoResize( FALSE );

	QPushButton_Help->setGeometry( 10, 240, 90, 30 );
	QPushButton_Help->setMinimumSize( 10, 10 );
	QPushButton_Help->setMaximumSize( 32767, 32767 );
	QPushButton_Help->setText( ktr ( "Help" ) );
	QPushButton_Help->setAutoRepeat( FALSE );
	QPushButton_Help->setAutoResize( FALSE );

	QComboBoxType->setGeometry( 480, 40, 100, 30 );
	QComboBoxType->setMinimumSize( 10, 10 );
	QComboBoxType->setMaximumSize( 32767, 32767 );
	QComboBoxType->setSizeLimit( 10 );
	QComboBoxType->setAutoResize( FALSE );
	QComboBoxType->insertItem( ktr(  "Blues" ) );
	QComboBoxType->insertItem( ktr(  "Classic Rock" ));
	QComboBoxType->insertItem( ktr(  "Country" ));
	QComboBoxType->insertItem( ktr(  "Dance" ));
	QComboBoxType->insertItem( ktr(  "Disco" ));
	QComboBoxType->insertItem( ktr(  "Funk" ));
	QComboBoxType->insertItem( ktr(  "Grunge" ));
	QComboBoxType->insertItem( ktr(  "Hip-Hop" ));
	QComboBoxType->insertItem( ktr(  "Jazz" ));
	QComboBoxType->insertItem( ktr(  "Metal" ));
	QComboBoxType->insertItem( ktr(  "New Age" ));
	QComboBoxType->insertItem( ktr(  "Oldies" ));
	QComboBoxType->insertItem( ktr(  "Other" ));
	QComboBoxType->insertItem( ktr(  "Pop" ));
	QComboBoxType->insertItem( ktr(  "R&B" ));
	QComboBoxType->insertItem( ktr(  "Rap" ));
	QComboBoxType->insertItem( ktr(  "Reggae" ));
	QComboBoxType->insertItem( ktr(  "Rock" ));
	QComboBoxType->insertItem( ktr(  "Techno" ));
	QComboBoxType->insertItem( ktr(  "Industrial" ));
	QComboBoxType->insertItem( ktr(  "Alternative" ));
	QComboBoxType->insertItem( ktr(  "Ska" ));
	QComboBoxType->insertItem( ktr(  "Death Metal" ));
	QComboBoxType->insertItem( ktr(  "Pranks" ));
	QComboBoxType->insertItem( ktr(  "Soundtrack" ));
	QComboBoxType->insertItem( ktr(  "Euro-Techno" ));
	QComboBoxType->insertItem( ktr(  "Ambient" ));
	QComboBoxType->insertItem( ktr(  "Trip-Hop" ));
	QComboBoxType->insertItem( ktr(  "Vocal" ));
	QComboBoxType->insertItem( ktr(  "Jazz+Funk" ));
	QComboBoxType->insertItem( ktr(  "Fusion" ));
	QComboBoxType->insertItem( ktr(  "Trance" ));
	QComboBoxType->insertItem( ktr(  "Classical" ));
	QComboBoxType->insertItem( ktr(  "Instrumental" ));
	QComboBoxType->insertItem( ktr(  "Acid" ));
	QComboBoxType->insertItem( ktr(  "House" ));
	QComboBoxType->insertItem( ktr(  "Game" ));
	QComboBoxType->insertItem( ktr(  "Sound Clip" ));
	QComboBoxType->insertItem( ktr(  "Gospel" ));
	QComboBoxType->insertItem( ktr(  "Noise" ));
	QComboBoxType->insertItem( ktr(  "AlternRock" ));
	QComboBoxType->insertItem( ktr(  "Bass" ));
	QComboBoxType->insertItem( ktr(  "Soul" ));
	QComboBoxType->insertItem( ktr(  "Punk" ));
	QComboBoxType->insertItem( ktr(  "Space" ));
	QComboBoxType->insertItem( ktr(  "Meditative" ));
	QComboBoxType->insertItem( ktr(  "Instrumental Pop" ));
	QComboBoxType->insertItem( ktr(  "Instrumental Rock" ));
	QComboBoxType->insertItem( ktr(  "Ethnic" ));
	QComboBoxType->insertItem( ktr(  "Gothic" ));
	QComboBoxType->insertItem( ktr(  "Darkwave" ));
	QComboBoxType->insertItem( ktr(  "Techno-Industrial" ));
	QComboBoxType->insertItem( ktr(  "Electronic" ));
	QComboBoxType->insertItem( ktr(  "Pop-Folk" ));
	QComboBoxType->insertItem( ktr(  "Eurodance" ));
	QComboBoxType->insertItem( ktr(  "Dream" ));
	QComboBoxType->insertItem( ktr(  "Southern Rock" ));
	QComboBoxType->insertItem( ktr(  "Comedy" ));
	QComboBoxType->insertItem( ktr(  "Cult" ));
	QComboBoxType->insertItem( ktr(  "Gangsta" ));
	QComboBoxType->insertItem( ktr(  "Top 40" ));
	QComboBoxType->insertItem( ktr(  "Christian Rap" ));
	QComboBoxType->insertItem( ktr(  "Pop/Funk" ));
	QComboBoxType->insertItem( ktr(  "Jungle" ));
	QComboBoxType->insertItem( ktr(  "Native American" ));
	QComboBoxType->insertItem( ktr(  "Cabaret" ));
	QComboBoxType->insertItem( ktr(  "New Wave" ));
	QComboBoxType->insertItem( ktr(  "Psychadelic" ));
	QComboBoxType->insertItem( ktr(  "Rave" ));
	QComboBoxType->insertItem( ktr(  "Showtunes" ));
	QComboBoxType->insertItem( ktr(  "Trailer" ));
	QComboBoxType->insertItem( ktr(  "Lo-Fi" ));
	QComboBoxType->insertItem( ktr(  "Tribal" ));
	QComboBoxType->insertItem( ktr(  "Acid Punk" ));
	QComboBoxType->insertItem( ktr(  "Acid Jazz" ));
	QComboBoxType->insertItem( ktr(  "Polka" ));
	QComboBoxType->insertItem( ktr(  "Retro" ));
	QComboBoxType->insertItem( ktr(  "Musical" ));
	QComboBoxType->insertItem( ktr(  "Rock & Roll" ));
	QComboBoxType->insertItem( ktr(  "Hard Rock" ));
	QComboBoxType->insertItem( ktr(  "Unknown" ));

	QComboBox_file_1->setGeometry( 10, 190, 90, 30 );
	QComboBox_file_1->setMinimumSize( 10, 10 );
	QComboBox_file_1->setMaximumSize( 32767, 32767 );
	QComboBox_file_1->setSizeLimit( 10 );
	QComboBox_file_1->setAutoResize( FALSE );
	QComboBox_file_1->insertItem( "" );
	QComboBox_file_1->insertItem( ktr ( "Jobnumber" ) );
	QComboBox_file_1->insertItem( ktr ( "Tracknumber" ) );
	QComboBox_file_1->insertItem( ktr ( "Group" ));
	QComboBox_file_1->insertItem( ktr ( "Album" ));
	QComboBox_file_1->insertItem( ktr ( "Year" ));
	QComboBox_file_1->insertItem( ktr ( "Title" ));
	
	QComboBox_file_2->setGeometry( 190, 190, 90, 30 );
	QComboBox_file_2->setMinimumSize( 10, 10 );
	QComboBox_file_2->setMaximumSize( 32767, 32767 );
	QComboBox_file_2->setSizeLimit( 10 );
	QComboBox_file_2->setAutoResize( FALSE );
	QComboBox_file_2->insertItem( "" );
	QComboBox_file_2->insertItem( ktr ( "Jobnumber" ) );
	QComboBox_file_2->insertItem( ktr ( "Tracknumber" ) );
	QComboBox_file_2->insertItem( ktr ( "Group" ));
	QComboBox_file_2->insertItem( ktr ( "Album" ));
	QComboBox_file_2->insertItem( ktr ( "Year" ));
	QComboBox_file_2->insertItem( ktr ( "Title" ));

	QComboBox_file_3->setGeometry( 370, 190, 90, 30 );
	QComboBox_file_3->setMinimumSize( 10, 10 );
	QComboBox_file_3->setMaximumSize( 32767, 32767 );
	QComboBox_file_3->setSizeLimit( 10 );
	QComboBox_file_3->setAutoResize( FALSE );
	QComboBox_file_3->insertItem( "" );
	QComboBox_file_3->insertItem( ktr ( "Jobnumber" ) );
	QComboBox_file_3->insertItem( ktr ( "Tracknumber" ) );
	QComboBox_file_3->insertItem( ktr ( "Group" ));
	QComboBox_file_3->insertItem( ktr ( "Album" ));
	QComboBox_file_3->insertItem( ktr ( "Year" ));
	QComboBox_file_3->insertItem( ktr ( "Title" ));
	QComboBox_file_3->insertItem( "Title" );

	QComboBox_file_4->setGeometry( 550, 190, 90, 30 );
	QComboBox_file_4->setMinimumSize( 10, 10 );
	QComboBox_file_4->setMaximumSize( 32767, 32767 );
	QComboBox_file_4->setSizeLimit( 10 );
	QComboBox_file_4->setAutoResize( FALSE );
	QComboBox_file_4->insertItem( "" );
	QComboBox_file_4->insertItem( ktr ( "Jobnumber" ) );
	QComboBox_file_4->insertItem( ktr ( "Tracknumber" ) );
	QComboBox_file_4->insertItem( ktr ( "Group" ));
	QComboBox_file_4->insertItem( ktr ( "Album" ));
	QComboBox_file_4->insertItem( ktr ( "Year" ));
	QComboBox_file_4->insertItem( ktr ( "Title" ));

	QLineEdit_file_1->setGeometry( 100, 190, 90, 30 );
	QLineEdit_file_1->setMinimumSize( 10, 10 );
	QLineEdit_file_1->setMaximumSize( 32767, 32767 );
	QLineEdit_file_1->setMaxLength( 32767 );
	QLineEdit_file_1->setEchoMode( QLineEdit::Normal );
	QLineEdit_file_1->setFrame( TRUE );

	QLineEdit_file_3->setGeometry( 460, 190, 90, 30 );
	QLineEdit_file_3->setMinimumSize( 10, 10 );
	QLineEdit_file_3->setMaximumSize( 32767, 32767 );
	QLineEdit_file_3->setMaxLength( 32767 );
	QLineEdit_file_3->setEchoMode( QLineEdit::Normal );
	QLineEdit_file_3->setFrame( TRUE );

	QLineEdit_file_2->setGeometry( 280, 190, 90, 30 );
	QLineEdit_file_2->setMinimumSize( 10, 10 );
	QLineEdit_file_2->setMaximumSize( 32767, 32767 );
	QLineEdit_file_2->setMaxLength( 32767 );
	QLineEdit_file_2->setEchoMode( QLineEdit::Normal );
	QLineEdit_file_2->setFrame( TRUE );
	
	QLineEdit_file_4->setGeometry( 640, 190, 50, 30 );
	QLineEdit_file_4->setMinimumSize( 10, 10 );
	QLineEdit_file_4->setMaximumSize( 32767, 32767 );
	QLineEdit_file_4->setMaxLength( 32767 );
	QLineEdit_file_4->setEchoMode( QLineEdit::Normal );
	QLineEdit_file_4->setFrame( TRUE );

}
